Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneUI.FocusHandler

    java.lang.Object
      |
      +--java.awt.event.FocusAdapter
            |
            +--javax.swing.plaf.basic.BasicSplitPaneUI.FocusHandler

All Implemented Interfaces:
  EventListener, FocusListener

Enclosing class:
  BasicSplitPaneUI

public class BasicSplitPaneUI.FocusHandler
extends FocusAdapter

Implementation of the FocusListener that the JSplitPane UI uses.

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

Constructor Summary
`BasicSplitPaneUI.FocusHandler()`

Method Summary
`void` | `focusLost(FocusEvent ev)` Invoked when a component loses the keyboard focus.

Methods inherited from class java.awt.event.FocusAdapter
`focusGained`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneUI.FocusHandler

    public BasicSplitPaneUI.FocusHandler()

Method Detail

### focusLost

    public void focusLost(FocusEvent ev)

  Description copied from class: `FocusAdapter`
  Invoked when a component loses the keyboard focus.
  Overrides:
    `focusLost` in class `FocusAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.